body {
    margin: 0;
    font-family: Arial, sans-serif;
    background-color: #fff;
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1.5em 2em;
    background-color: #fff;
}

.logo {
    height: 50px;
}

.block {
    position: relative;
    margin: 0;
}

.block img {
    width: 100%;
    height: auto;
    display: block;
}
.button-container1 {
    position: absolute;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
	background: none;
	border: 0;display: block;
  	z-index: 9;
  	right: 41%;
  	width: 18%;
  	top: 3%;
	margin-top: 30%;
}


.button-container2 {
    position: absolute;
    bottom: 2.2%;
    width: 100%;
    text-align: center;
}
.button-container2 img {
    display: inline-block;
	width: 20%;
    height: 5%;
    border: none;
    cursor: pointer;
    line-height: 50px;
    text-align: center;
    margin: 0px 10px -8px 10px;
}
.button-container3 {
    position: absolute;
    bottom: 8%;
    width: 100%;
    text-align: center;
}
.button-container3 img {
    display: inline-block;
	width: 20%;
    height: 5%;
    border: none;
    cursor: pointer;
    line-height: 50px;
    text-align: center;
    margin: 0 10px;
}
.centered {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.button-container2 .btn {
    display: inline-block;
    width: 200px;
    height: 50px;
    border-radius: 30px;
    box-shadow: 0 3px 3px rgba(0, 0, 0, 0.2);
    border: none;
    cursor: pointer;
    font-size: 21px;
	font-weight: bold;
    color: white;
    line-height: 50px;
    text-align: center;
    margin: 0 10px;
}
.button-container3 .btn {
    display: inline-block;
    width: 200px;
    height: 50px;
    border-radius: 30px;
    box-shadow: 0 3px 3px rgba(0, 0, 0, 0.2);
    border: none;
    cursor: pointer;
    font-size: 21px;
	font-weight: bold;
    color: white;
    line-height: 50px;
    text-align: center;
    margin: 0 10px;
}


.floating-button {
    position: fixed;
    bottom: 20px;
    right: 20px;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    font-size: 16px;
    cursor: pointer;
	background: none;
}
.floating-button:hover {
    background-color: none;
}

footer {
    background-color: #333;
    padding: 2em;
    color: white;
}

.footer-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 2em;
}

.footer-logo img {
    max-width: 200px;
}

.footer-text {
    text-align: center;
	font-size: 0.9em;
    flex: 5;
	padding: 0 1em;
}

.footer-icons {
    display: flex;
    gap: 1em;
}

.footer-icons .icon {
    width: 50px;
    height: 50px;
}


/* 我要開戶button */
.OpenAccount-toggle {
  position: fixed;
  z-index: 9999;
  right: 0%;
  bottom: 5%;
  border: 0;
}
#btnOpenAccount {
  border: 0;
  cursor: pointer;
  width: 15rem;
  height: 9rem;
  background:   url("../images/btn_startall.png")center;
  background-size: cover;
}
@media screen and (max-width: 768px) {
.OpenAccount-toggle {
  	position: fixed;
  	z-index: 9999;
  	right: 0%;
  	bottom: 5%;
  	border: 0;
}
  #btnOpenAccount {
    width: 11rem;
    height:6rem;
  }
}
@media screen and (max-width: 430px) {
.OpenAccount-toggle {
  	position: fixed;
  	z-index: 9999;
  	right: 0%;
  	bottom: 5%;
  	border: 0;
}
  #btnOpenAccount {
    width: 8rem;
    height: 5rem;
  }
}

/* Responsive styles */


@media (max-width: 768px) {
    .menu {
        display: none;
    }

    .hamburger {
        display: flex;
    }

.content-block {
        padding-bottom: 10%;
    }
	
.button-container1 {
    position: absolute;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
	background: none;
	border: 0;
    display: block;
  	z-index: 9;
  	left:38%;
  	width: 50%;
  	top: 5%;
	margin-top: 40%;
}

.button-container1 img {
    width: 60%;
    height: 60%;
	overflow-clip-margin: content-box;
    overflow: clip;
}
.button-container1:hover {
    background-color: none;
}
.button-container2 {
    position: absolute;
    bottom: 3%;
    width: 100%;
    text-align: center;
}
.button-container2 img {
    display: inline-block;
	width: 25%;
    height: 15%;
    border: none;
    cursor: pointer;
    text-align: center;
    margin: 0 10px;
}
.button-container3 {
    position: absolute;
    bottom: 10%;
    width: 100%;
    text-align: center;
}
.button-container3 img {
    display: inline-block;
	width: 25%;
    height: 15%;
    border: none;
    cursor: pointer;
    text-align: center;
    margin: 0 10px;
}

.button-container2 .btn {
    display: inline-block;
    width: 150px;
    height: 50px;
    margin: 0 5px;
}
.button-container3 .btn {
    display: inline-block;
    width: 150px;
    height: 50px;
    margin: 0 5px;
}

.floating-button {
    position: fixed;
    bottom: 10px;
    right: 0px;
	margin-right: 0;
    border: none;
    border-radius: 5px;
    cursor: pointer;
	background: none;
}
.floating-button img {
	width: 100%;
	height: 50%;
	}
.floating-button:hover {
    background-color: none;
}
	


footer {
        padding: 2em;
    }
 .footer-container {
        flex-direction: column;
        align-items: center;
    }
.footer-logo {
        margin-bottom: 1em;
    }
.footer-text, .footer-icons {
        margin-bottom: 1.2em;
    }
.footer-text {
        text-align: center;
        flex: unset;
    }

	

}


@media (max-width: 430px) {
    .menu {
        display: none;
    }

    .hamburger {
        display: flex;
    }

.content-block {
        padding-bottom: 10%;
    }
	
.button-container1 {
    position: absolute;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
	background: none;
	border: 0;display: block;
  	z-index: 9;
  	right: -5%;
  	width: 50%;
  	top: 5.5%;
	margin-top: 40%;
}

.button-container1 img {
    width: 58%;
    height: 58%;
	overflow-clip-margin: content-box;
    overflow: clip;
}
.button-container1:hover {
    background-color: none;
}
.button-container2 {
    position: absolute;
    bottom: -7%;
    width: 70%;
	padding: 15%;
    text-align: center;
}
.button-container2 img {
    display: inline-block;
	width: 45%;
    height: 15%;
    border: none;
    cursor: pointer;
    line-height: 50px;
    text-align: center;
    margin: 0 5px;
}	
.button-container3 {
    position: absolute;
    bottom: 8%;
    width: 100%;
    text-align: center;
}
.button-container3 img {
    display: inline-block;
	width: 30%;
    height: 15%;
    border: none;
    cursor: pointer;
    line-height: 50px;
    text-align: center;
    margin: 0 5px;
}
.button-container2 .btn {
    display: inline-block;
    width: 150px;
    height: 50px;
    margin: 0 5px;
}
.button-container3 .btn {
    display: inline-block;
    width: 150px;
    height: 50px;
    margin: 0 5px;
}

.floating-button {
    position: fixed;
    bottom: 10px;
    right: 0px;
	margin-right: 0;
    border: none;
    border-radius: 5px;
    cursor: pointer;
	background: none;
}
.floating-button img {
	width: 100%;
	height: 50%;
	}
.floating-button:hover {
    background-color: none;
}
	
footer {
        padding: 2em;
    }
 .footer-container {
        flex-direction: column;
        align-items: center;
    }
.footer-logo {
        margin-bottom: 1em;
    }
.footer-text, .footer-icons {
        margin-bottom: 1.2em;
    }
.footer-text {
        text-align: center;
        flex: unset;
    }
	

}


